|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QStyleOptionTabWidgetFrame Class Reference
[QtGui module]

The QStyleOptionTabWidgetFrame class is used to describe the parameters for drawing the frame around a tab widget. More...

    #include <QStyleOptionTabWidgetFrame>

Inherits QStyleOption.

- List of all members, including inherited members

### Public Functions

- QStyleOptionTabWidgetFrame ()
- QStyleOptionTabWidgetFrame ( const QStyleOptionTabWidgetFrame & other )

- 2 public functions inherited from QStyleOption

### Public Variables

- QSize leftCornerWidgetSize
- int lineWidth
- int midLineWidth
- QSize rightCornerWidgetSize
- QTabBar::Shape shape
- QSize tabBarSize

- 7 public variables inherited from QStyleOption

### Static Public Members

- const int Type
- const int Version

- 2 static public members inherited from QStyleOption

## Detailed Description

The QStyleOptionTabWidgetFrame class is used to describe the parameters for drawing the frame around a tab widget.

QStyleOptionTabWidgetFrame is used for drawing QTabWidget.

## Member Function Documentation

### QStyleOptionTabWidgetFrame::QStyleOptionTabWidgetFrame ()

Constructs a QStyleOptionTabWidgetFrame. The members variables are initialized to default values.

### QStyleOptionTabWidgetFrame::QStyleOptionTabWidgetFrame ( const QStyleOptionTabWidgetFrame & other )

Constructs a copy of other.

## Member Variable Documentation

### const int QStyleOptionTabWidgetFrame::Type

Equals SO_TabWidgetFrame.

### const int QStyleOptionTabWidgetFrame::Version

Equals 1.

### QSize QStyleOptionTabWidgetFrame::leftCornerWidgetSize

This variable holds the size of the left-corner widget.

### int QStyleOptionTabWidgetFrame::lineWidth

This variable holds the line width for drawing the panel.

### int QStyleOptionTabWidgetFrame::midLineWidth

This variable holds the mid-line width for drawing the panel. This is usually used in drawing sunken or raised frames.

### QSize QStyleOptionTabWidgetFrame::rightCornerWidgetSize

This variable holds the size of the right-corner widget.

### QTabBar::Shape QStyleOptionTabWidgetFrame::shape

This variable holds the tab shape used to draw the tabs.

### QSize QStyleOptionTabWidgetFrame::tabBarSize

This variable holds the size of the tab bar.